﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Usuarios.aspx.cs" Inherits="Seven.Management.Usuarios" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
        { %>

    <title><%=L.TIT("Usuarios") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 

/* 
 * 
 * Índice de Código 
 * 
 * JQ01 - Grid Usuario
 * JQ02 - Otros
 * JQ03 - Paginacion
 * 
 * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
 * JS_DOC       - Funciones Javascript en Document.Ready()
 * 
 * DLG_VAR      - Diálogos Varios
 * 
 * TIT - Título
 * 
 * HH  - Hidden Hive - Almacen de datos en campos ocultos
 * 
 * B01 - Cuandro Información Principal
 * B02 - Formulario Principal OH
 * B03 - Zona Informativa 
 * 
 */

    %>

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Usuario */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetUSU() {
            $.ajax({
                url: 'Servicio.svc/GetUsuario',
                data: {
                    "USUARIO": $("#cbUsuario:checked").val(), "ACTIVO": $('input[name=radioUsuario]:checked').val()
                    , "CLAVE": $("#cbClave:checked").val(), "VENCE": $('input[name=radioClave]:checked').val(),
                    "Pagina": $("#txtPaginaIncio").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgUSU").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgUSU")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgUSU").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        datos = JSON.parse(json.d);

                        if (datos.rows.length != 0) {
                            $("#txtPaginaIncio").val(datos.rows[0].cell[19]);
                            $("#txtPaginaFinal").val(datos.rows[0].cell[20]);
                        }
                        else {
                            $("#txtPaginaIncio").val(1);
                            $("#txtPaginaFinal").val(1);
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutUSU(id, nombre, descripcion, password, fecha_creac, fecha_clave, dias_clave, activo, cambio_clave, Fecha_acceso, layout, admin, layout_acc, layout_pos, layout_inv, layout_fa, layout_pr, clave_tarj, eli) {
            $.ajax({
                url: 'Servicio.svc/PutUsuario',
                data: {
                    "id_oper": id, "nombre": nombre, "descripcion": descripcion, "password": password, "fecha_creac": fecha_creac, "fecha_clave": fecha_clave, "dias_clave": dias_clave, "activo": activo, "cambio_clave": cambio_clave, "Fecha_acceso": Fecha_acceso, "layout": layout, "admin": admin, "layout_acc": layout_acc, "layout_pos": layout_pos, "layout_inv": layout_inv, "layout_fa": layout_fa, "layout_pr": layout_pr, "clave_tarj": clave_tarj
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementUSU').val(0);
                            BotonDefaultUSU();
                            RefreshGridUSU();
                        }
                        else {
                            if (id > 0 || id < 0) {
                                BotonDefaultUSU();
                                RefreshGridUSU();
                            }
                            else {
                                $('#IdSubElementUSU').val(res);
                                BotonDefaultUSU();
                                RefreshGridUSU();
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridUSU() {

            var lselUSU;
            var colMap = {};
            $("#jqgUSU").jqGrid({
                datatype: 'local',
                height: 255,
                width: 750,//750
                colNames: ['', '<%=L.LBL("LblGENUser")%>', '<%=L.LBL("LblGENDescription")%>', '<%=L.LBL("LblGENPassword")%>', '', '', '<%=L.LBL("LblMANUSUDias")%>',
                    '<%=L.LBL("LblGENActivo")%>', '<%=L.LBL("LblGENCambiar")%>', '', '', '<%=L.LBL("LblMANUSUAdmin")%>', '', '', '', '', '', '<%=L.LBL("LblMANUSUClaveTarjeta")%>', 'A', 'Inf', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'nombre', index: 'nombre', width: 13, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 19, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'password', index: 'password', width: 8, editable: true,
                                searchoptions: { sopt: ListFindT }, align: "right",
                                edittype: 'password', stype: "password", formatter: customPassFormat,
                            },
                            { name: 'fecha_creac', index: 'fecha_creac', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fecha_clave', index: 'fecha_clave', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'dias_clave', index: 'dias_clave', width: 3, editable: true, searchoptions: { sopt: ListFindN }, align: 'center',
                                editoptions: {
                                    dataEvents: [
                                        {
                                            type: 'keypress',
                                            fn: function (e) {
                                                var key = e.charCode || e.keyCode; // to support all browsers
                                                //if ((key < 48 || key > 57) && key !== 46 && key !== 44 && key !== 8 && key !== 37 && key !== 39) { return false; }
                                                if (key < 48 || key > 57) { return false; }
                                            }// cierra la funcion e
                                        }// cierra el control del keypress
                                    ]// cierra dataEvents
                                }// cierra editoptions
                            },
                            {
                                name: 'activo', index: 'activo', width: 4, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            {
                                name: 'cambio_clave', index: 'cambio_clave', width: 5, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            { name: 'Fecha_acceso', index: 'Fecha_acceso', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'layout', index: 'layout', width: 1, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'admin', index: 'admin', width: 4, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            { name: 'layout_acc', index: 'layout_acc', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'layout_pos', index: 'layout_pos', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'layout_inv', index: 'layout_inv', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'layout_fa', index: 'layout_fa', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'layout_pr', index: 'layout_pr', width: 1, hidden: true, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'clave_tarj', index: 'clave_tarj', width: 12, editable: true, hidden: true,
                                searchoptions: { sopt: ListFindT },
                                edittype: 'password', stype: "password", formatter: customPassFormat,
                            },
                            {
                                name: 'Acceso', index: 'Acceso', width: 3, editable: false,
                                formatter: AccesoButtonFormatter, align: 'center'
                            },
                            {
                                name: 'inf', index: 'inf', width: 3, editable: false,
                                formatter: InfButtonFormatter, align: 'center'
                            },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                            { name: 'X', index: 'X', width: 4, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        var ret = jQuery("#jqgUSU").jqGrid('getRowData', id);
                        var chk = $(ret.password);
                        var chk2 = $(ret.clave_tarj);

                        if (isNaN(lselUSU) && !isNaN(id)) {
                            $("#jqgUSU").jqGrid('delRowData', lselUSU);
                            //$('#jqgUSU').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgUSU').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgUSU").jqGrid('getRowData', id);

                            $('#jqgUSU').jqGrid('restoreRow', lselUSU);

                            $('#IdSubElementUSU').val(ret.Id);
                        }
                        else {
                            BotonNuevoUSU();
                        }

                        $('#jqgUSU').jqGrid('editRow', id, true, EventsUSU);

                        lselUSU = id;

                        $("#" + id + "_password").val(chk.val());
                        $("#" + id + "_clave_tarj").val(chk2.val());
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselUSU)) {
                            $("#jqgUSU").jqGrid('delRowData', lselUSU);
                            $('#jqgUSU').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgUSU').jqGrid('saveRow', lselUSU);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {

                        if (!isNaN(id)) {
                            $('#jqgUSU').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgUSU").jqGrid('getRowData', id);
                        var status = ret.activo;

                        if (status != true) {
                            $('#btnEliminarTextUSU').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconUSU').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextUSU').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconUSU').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgUSU').jqGrid('setSelection', id); 

                        BotonSelectUSU();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgUSU").getDataIDs();

                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementUSU').val()) == 0) {
                            //$('#IdSubElementUSU').val($("#jqgUSU").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgUSU").getCell(rows[i], "activo");

                        var admin = $("#jqgUSU").getCell(rows[i], "admin");

                        if (admin == 1) {
                            $("#jqgUSU").jqGrid('setCell', rows[i], 'nombre', '', { 'font-weight': 'bold' });
                            $("#jqgUSU").jqGrid('setCell', rows[i], 'descripcion', '', { 'font-weight': 'bold' });
                            $("#jqgUSU").jqGrid('setCell', rows[i], 'dias_clave', '', { 'font-weight': 'bold' });
                        }

                        if (status != true) {
                            $("#jqgUSU").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgUSU').jqGrid('setSelection', $('#IdSubElementUSU').val());
                    if (parseInt($('#IdSubElementUSU').val()) != 0) {
                        BotonSelectUSU();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgUSU").jqGrid('navGrid','#PaginadorUsuario',{del:false,add:false,edit:false,search:false});
            $("#bsdataUSU").click(function () {
                jQuery("#jqgUSU").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsUSU(id) {
            $("#" + id + "_nombre").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_nombre").prop("disabled", true);
            //$("#" + id + "_nombre").focusout(function () { $("#" + id + "_descripcion").val($("#" + id + "_nombre").val()) }).on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_password").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_fecha_creac").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_fecha_clave").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_dias_clave").on('input', function () { BotonGuardarUSU(); });

            $("#" + id + "_activo").on('change', function () { BotonGuardarUSU(); });
            $("#" + id + "_cambio_clave").on('change', function () { BotonGuardarUSU(); });
            $("#" + id + "_Fecha_acceso").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_admin").on('change', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_acc").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_pos").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_inv").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_fa").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_pr").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_clave_tarj").on('input', function () { BotonGuardarUSU(); });
        }

        function EventsNewUSU() {
            var id = jQuery('#jqgUSU').jqGrid('getGridParam', 'selrow');
            $("#" + id + "_nombre").focusout(function () { $("#" + id + "_descripcion").val($("#" + id + "_nombre").val().charAt(0).toUpperCase() + $("#" + id + "_nombre").val().slice(1)) }).on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_password").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_fecha_creac").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_fecha_clave").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_dias_clave").val('0').on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_activo").prop("checked", true).on('change', function () { BotonGuardarUSU(); });
            $("#" + id + "_cambio_clave").on('change', function () { BotonGuardarUSU(); });
            $("#" + id + "_Fecha_acceso").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_admin").on('change', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_acc").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_pos").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_inv").on('input', function () { BotonGuardarUSU(); });
            $("#" + id + "_layout_fa").on('input', function () { BotonGuardarUSU(); });
        }


        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridUSU() {
            $("#jqgUSU").jqGrid("setGridParam", { datatype: "json", datatype: GetUSU, loadonce: true });
            $("#jqgUSU").trigger("reloadGrid");
            $("#jqgUSU").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateUSU() {
            $('#IdSubElementUSU').val(0);
            $("#jqgUSU").jqGrid('addRow', {
                initdata: { 'Id': '0' },
                position: "first",
                useDefValues: false,
                useFormatter: false,
                addRowParams: { extraparam: {} }
            });
            BotonNuevoUSU();
            EventsNewUSU();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveUSU() {
            var id = $("#jqgUSU").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutUSU(id, $('#' + id + '_nombre').val(), $('#' + id + '_descripcion').val(), $('#' + id + '_password').val(), $('#' + id + '_fecha_creac').val(), $('#' + id + '_fecha_clave').val(), $('#' + id + '_dias_clave').val(), $('#' + id + '_activo:checked').val(), $('#' + id + '_cambio_clave:checked').val(), $('#' + id + '_Fecha_acceso').val(), $('#' + id + '_layout').val(), $('#' + id + '_admin:checked').val(), $('#' + id + '_layout_acc').val(), $('#' + id + '_layout_pos').val(), $('#' + id + '_layout_inv').val(), $('#' + id + '_layout_fa').val(), $('#' + id + '_layout_pr').val(), $('#' + id + '_clave_tarj').val(), 0);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

         <% /* Función que elimina un registro. */ %>

        function DeleteUSU() {
            var id = $("#jqgUSU").jqGrid('getGridParam', 'selrow');
            if (id) {
                PutUSU(id, $('#' + id + '_nombre').val(), $('#' + id + '_descripcion').val(), $('#' + id + '_password').val(), $('#' + id + '_fecha_creac').val(), $('#' + id + '_fecha_clave').val(), $('#' + id + '_dias_clave').val(), $('#' + id + '_activo:checked').val(), $('#' + id + '_cambio_clave:checked').val(), $('#' + id + '_Fecha_acceso').val(), $('#' + id + '_layout').val(), $('#' + id + '_admin:checked').val(), $('#' + id + '_layout_acc').val(), $('#' + id + '_layout_pos').val(), $('#' + id + '_layout_inv').val(), $('#' + id + '_layout_fa').val(), $('#' + id + '_layout_pr').val(), $('#' + id + '_clave_tarj').val(), 1);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelUSU() {
            var id = $("#jqgUSU").jqGrid('getGridParam', 'selrow');
            if (id) {
                $('#jqgUSU').restoreRow(id);
            }
            else {
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultUSU();
        }

        function BotonDefaultUSU() {
            $('#btnNuevoUSU').button('enable');
            $('#btnEliminarUSU').button('disable');
            $('#btnGuardarUSU').button('disable');
            $('#btnCancelarUSU').button('disable');
        }

        function BotonNuevoUSU() {
            $('#btnNuevoUSU').button('disable');
            $('#btnEliminarUSU').button('disable');
            $('#btnGuardarUSU').button('disable');
            $('#btnCancelarUSU').button('enable');
        }

        function BotonSelectUSU() {
            $('#btnNuevoUSU').button('enable');
            var id = $("#jqgUSU").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarUSU').button('enable');
            }
            else {
                $('#btnEliminarUSU').button('disable');
            }
            $('#btnGuardarUSU').button('disable');
            $('#btnCancelarUSU').button('disable');
        }

        function BotonGuardarUSU() {
            $('#btnNuevoUSU').button('disable');
            $('#btnEliminarUSU').button('disable');
            $('#btnGuardarUSU').button('enable');
            $('#btnCancelarUSU').button('enable');
        }

        <% /* JQ02 */%>

        <% /* funcion para mostrar texto formato contraseña*/ %>
        function customPassFormat(cellvalue, options, rowObject) {

            try {
                if (cellvalue[0] == '<') {
                    var chk = $(cellvalue);

                    var valueAttribute = " value='" + chk.val() + "' ";

                    var newFormattedCellValue = "<input type='password' readonly=true" + valueAttribute + " />"

                    return newFormattedCellValue;
                }
                else {
                    var valueAttribute = " value='" + cellvalue + "' ";

                    var newFormattedCellValue = "<input type='password' readonly=true" + valueAttribute + " />"

                    return newFormattedCellValue;
                }

            }
            catch (e) {
                return cellvalue;
            }

        }

        <% /*funcion para mostrar en columna Acceso como boton con imagen*/ %>

        function AccesoButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='PestañaAcceso(" + rowObject[0] + ");'><img src='img/key--plus.png' /></button>";
        }

        <% /*funcion para mostrar en columna Inf como boton con imagen*/ %>

        function InfButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='DialogInf(" + rowObject[0] + ");'><img src='img/information-italic.png' /></button>";
        }

        <% /*funcion para verificar contraseña no este vacia y llama dialogo para verrificar contraseña */ %>

        function VerficarContraseña() {
            var id = jQuery('#jqgUSU').jqGrid('getGridParam', 'selrow');

            if ($("#" + id + "_password").val() == '') {
                $(function () {
                    $("#contraseña-vacia").dialog({
                        modal: true,
                        buttons: {
                            Ok: function () {
                                $(this).dialog("close");
                            }
                        }
                    });
                });
            }
            else {
                Confirmar();
            }
        }

        <% /*funcion que abre el dialogo para confirmar contraseña*/ %>

        function Confirmar() {
            $("#confirmacion").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                position: 'center',
                close: function () {
                    $("#confirmar").val('');
                },
                buttons:
                    {

                        '<%=L.LBL("LblGENAceptar")%>': function () {
                            var id = jQuery('#jqgUSU').jqGrid('getGridParam', 'selrow');

                            $("#contra").val($("#" + id + "_password").val());

                            if ($("#contra").val() == $("#confirmar").val()) {
                                SaveUSU();

                                $(this).dialog("close");
                            }
                            else {
                                $(function () {
                                    $("#dialog-message").dialog({
                                        modal: true,
                                        buttons: {
                                            Ok: function () {
                                                $(this).dialog("close");
                                            }
                                        }
                                    });
                                });
                            }
                        },

                        '<%=L.LBL("LblGENCancel")%>': function () {
                            $(this).dialog("close");
                        }
                    }
            });
        }

        <% /*funcion que muestra dialogo de informacion*/ %>

        function DialogInf(id) {
            $('#jqgUSU').jqGrid('restoreRow', id);
            var ret = jQuery("#jqgUSU").jqGrid('getRowData', id);

            $("#fcreacion").val(ret.fecha_creac)
            $("#uacceso").val(ret.Fecha_acceso)
            $("#ucambio").val(ret.fecha_clave)

            $("#labelNombre").val(ret.nombre)

            $("#informacion").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                position: 'center',
                close: function () {
                },
                buttons:
                    {
                        '<%=L.LBL("LblGENAceptar")%>': function () {
                            $(this).dialog("close");
                        },
                    }
            });
        }

        <% /*funcion para abrir pagina de acceso por usuario en una pestaña*/ %>

        function PestañaAcceso(id_usu) {
            window.open('PermisosUsuarios.aspx?id=' + id_usu, '_blank');
        }

        <%/*desactiva o activa los radios para los filtros*/%>
        <%/*ejecuta el filtro*/%>

        function FiltroUSU() {
            if ($("#cbUsuario:checked").val() == 1) {
                $("#fsUsuario").prop("disabled", false)
            }
            else {
                $("#fsUsuario").prop("disabled", true)
            }

            if ($("#cbClave:checked").val() == 1) {
                $("#fsClave").prop("disabled", false)
            }
            else {
                $("#fsClave").prop("disabled", true)
            }

            RefreshGridUSU();
        }

        <% /* JQ03 */%>

        <%/* Valida teclas presionadas */%>

        function ValidaART(e) {
            Tecla = (document.all) ? e.keyCode : e.which;
            if (Tecla == 13) {
                if ($("#txtPaginaIncio").is(":focus")) {
                    FiltroPagina(2);
                }
            }
        }

        function FiltroPagina(id) {

            $('#IdSubElementUSU').val(0);

            switch (id) {
                case 0: {//Inicio
                    $("#txtPaginaIncio").val(1)
                    GetUSU()
                } break;
                case 1: {//Atras
                    if ($("#txtPaginaIncio").val() > 0) {
                        $("#txtPaginaIncio").val((parseInt($("#txtPaginaIncio").val()) - 1) > 0 ? parseInt($("#txtPaginaIncio").val()) - 1 : 1)
                        GetUSU()
                    }
                    else {
                        FiltroPagina(0);
                    }
                } break;
                case 2: {//Txt
                    if (parseInt($("#txtPaginaIncio").val()) <= parseInt($("#txtPaginaFinal").val()) && parseInt($("#txtPaginaIncio").val()) > 0) {
                        GetUSU()
                    }
                    else {
                        if (parseInt($("#txtPaginaIncio").val()) > parseInt($("#txtPaginaFinal").val())) {
                            FiltroPagina(4);
                        }
                        else {
                            FiltroPagina(0);
                        }
                    }
                } break;
                case 3: {//Adelante
                    if ($("#txtPaginaIncio").val() > 0) {
                        $("#txtPaginaIncio").val((parseInt($("#txtPaginaIncio").val()) + 1) <= parseInt($("#txtPaginaFinal").val()) ? parseInt($("#txtPaginaIncio").val()) + 1 : parseInt($("#txtPaginaFinal").val()))
                        GetUSU()
                    }
                    else {
                        FiltroPagina(0);
                    }
                } break;
                case 4: {//Final
                    $("#txtPaginaIncio").val($("#txtPaginaFinal").val())
                    GetUSU()
                } break;
            }
        }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=150&cbu=' + $('#cbUsuario:checked').val()
                    + '&cbc=' + $('#cbClave:checked').val()
                    + '&ru=' + $('input[name=radioUsuario]:checked').val()
                    + '&rc=' + $('input[name=radioClave]:checked').val(),
                '_blank');
        }


    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridUSU();
            //RefreshGridUSU();

            FiltroUSU();

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
        { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M2', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Usuarios.aspx"><%=L.TIT("Usuarios") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 750px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Usuarios") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultUSU();RefreshGridUSU();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2">
                                                <img src="img/printer.png" />
                                                <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <table>
                    <tr>
                        <td>
                            <input type="checkbox" id="cbUsuario" name="cbUsuario" onchange="FiltroUSU();" value="1" /><%=L.LBL("LblMANUSUUsuarios") %>
                            <%--<input type="checkbox" id="cbEliminado" onchange="BotonDefaultUSU();RefreshGridUSU();" value="1" />--%>
                        </td>
                        <td>
                            <input type="checkbox" id="cbClave" name="cbClave" onchange="FiltroUSU();" value="1" /><%=L.LBL("LblMANUSUClave") %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <fieldset id="fsUsuario">
                                <input type="radio" id="UsuActivo" name="radioUsuario" onchange="FiltroUSU();" value="0" checked="checked" /><%=L.LBL("LblMANUSUActivos") %>
                                <input type="radio" id="UsuNoActivo" name="radioUsuario" onchange="FiltroUSU();" value="1" /><%=L.LBL("LblMANUSUNoActivos") %>
                            </fieldset>
                        </td>
                        <td>
                            <fieldset id="fsClave">
                                <input type="radio" id="NoVencida" name="radioClave" onchange="FiltroUSU();" value="0" checked="checked" /><%=L.LBL("LblMANUSUNoVencida") %>
                                <input type="radio" id="Vencida" name="radioClave" onchange="FiltroUSU();" value="1" /><%=L.LBL("LblMANUSUVencida") %>
                            </fieldset>
                        </td>
                    </tr>
                </table>

                <br />

                <input type="hidden" id="IdSubElementUSU" value="0" />
                <table id="jqgUSU"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnInicioUSU" onclick="FiltroPagina(0);">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-stop-180.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnAtrasUSU" onclick="FiltroPagina(1);">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-180.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <%=L.LBL("LblGENPage") %>
                                        <input type="text" id="txtPaginaIncio" name="txtPaginaIncio" value="1" style="width: 25px; text-align: center;" onkeypress="ValidaART(event)" />
                                        /
                                        <input type="text" id="txtPaginaFinal" name="txtPaginaFinal" value="1" style="width: 25px; text-align: center;" disabled="disabled" />
                                    </td>
                                    <td>
                                        <button type="button" id="btnAdelanteUSU" onclick="FiltroPagina(3);">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow2.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnFinalUSU" onclick="FiltroPagina(4);">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-stop.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="bsdataUSU" value="Search">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png"
                                                            alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoUSU" onclick="CreateUSU();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarUSU" onclick="DeleteUSU();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconUSU" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextUSU"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarUSU" onclick="VerficarContraseña();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarUSU" onclick="CancelUSU();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    <td><%=L.LBL("LblGENCancel") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <div id="confirmacion" title='<%=L.LBL("LblMANUSUConfirmacion")%>' hidden="hidden">
                    <table>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENPassword") %>
                            </td>
                            <td>
                                <input type="password" id="confirmar" name="confirmar" style="width: 175px;" />
                                <input type="text" id="contra" name="contra" hidden="hidden" />
                            </td>
                        </tr>
                    </table>


                    <div id="dialog-message" title="<%=L.LBL("LblGENInformation") %>" hidden="hidden">
                        <p>
                            <span class="ui-icon ui-icon-circle-check" style="float: left;"></span>
                            <%=L.MSG("MsgLasContraseñasNoSonIguales") %>
                        </p>
                    </div>

                </div>

                <div id="contraseña-vacia" title="<%=L.LBL("LblGENInformation") %>" hidden="hidden">
                    <p>
                        <span class="ui-icon ui-icon-circle-check" style="float: left;"></span>
                        <%=L.MSG("MsgDebeIngresarContraseña") %>
                    </p>
                </div>

                <div id="informacion" title="<%=L.LBL("LblMANUSUInformacionAdicional") %>" hidden="hidden">
                    <input type="text" id="labelNombre" name="labelNombre" disabled="disabled" style="border: none" />
                    <fieldset>
                        <table>
                            <tr>
                                <td style="text-align: right">
                                    <%=L.LBL("LblGENFechaRegistro") %>:
                                </td>
                                <td>
                                    <input type="text" id="fcreacion" name="fcreacion" style="width: 175px;" disabled="disabled" />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right">
                                    <%=L.LBL("LblMANUSUUltimoAcceso") %>:
                                </td>
                                <td>
                                    <input type="text" id="uacceso" name="uacceso" style="width: 175px;" disabled="disabled" />
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align: right">
                                    <%=L.LBL("LblMANUSUUltimoCambioClave") %>:
                                </td>
                                <td>
                                    <input type="text" id="ucambio" name="ucambio" style="width: 175px;" disabled="disabled" />
                                </td>
                            </tr>
                        </table>
                    </fieldset>
                </div>


            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>
